<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Graffiti</title>
		<link rel="icon" href="ressources/logo.png">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
		<link href="css/style.css" rel="stylesheet">
  </head>
  <body>
    <div class="row">
      <!-- profile -->
      <div class="col-sm-6">
          <h1>Profil</h1>
          <section id="info_profile" style="display: inline-block; text-align: left"></section>
          <input type='button' class='btn btn-info' onclick='UploadImg()' value='UploadImg'>

          <h3>Batiments</h3>
          <section id="info_build" style="display: inline-block; text-align: left"></section>
          <p> </p>
          <input type='button' class='btn btn-info' onclick='NewBuilding()' value='Ajouter un batiment'>
      </div>

    <!-- Demande -->
      <div class="col-sm-6">
        <h1>Demande</h1>
        <section id="info_graffiti" style="display: inline-block; text-align: left"></section>
        <p> </p>
        <input type='button' class='btn btn-info' onclick='NewGraffiti()' value='Ajouter une demande'>
      </div>

    </div>

    <footer id="footer">
      <p>&copy; NLPF 2018 - Application gestion des graffitis</p>
    </footer>

    <script src="http://code.jquery.com/jquery-1.10.1.min.js"></script>
    <script src="/socket.io/socket.io.js"></script>
    <script>
      var ip = "localhost";
      var port = 8080;

      var socket = io.connect('http://' + ip + ':' + port);

      socket.emit('info');
      socket.on('info', function(message)
      {
        $('#info_profile').text('');
        $('#info_profile').append('<p><strong>Prénom</strong>' + ' : ' + message.first_name + '</p>'
        +'<p><strong>Nom</strong>' + ' : ' + message.last_name + ' </p>'
        +'<p><strong>Email</strong>' + ' : ' + message.email + ' </p>'
        +'<p><strong>Numéro de téléphone</strong>' + ' : ' + message.tel + '</p><br>');
      });

      socket.on('info_build', function(message)
      {
        $('#info_build').append(
          '<p><strong>Nom</strong>' + ' : ' + message.name + ' <strong>Adresse</strong>' + ' : ' + message.adress + ' </p>');
      });

      socket.on('info_graffiti', function(message)
      {
        var URLConvert = message.picture.replace(/\\/g, "/");
        var pic = URLConvert.split('/');
        console.log(pic);
        //console.log(URLConvert);
        $('#info_graffiti').append(
          '<img src="./picture/' + pic[pic.length - 1] + '" />  <p><strong>Nom</strong>' + ' : ' + message.name + ' <strong>Status</strong>' + ' : ' + message.status + ' </p>');
      });

      $('#form_connexion').submit(function()
      {
        var email = $('#email').val();
        var password = $('#password').val();
        console.log(email, password);
        socket.emit('connexion', email, password);
        return false;
      });

      function NewBuilding(){
        window.location.href = "http://localhost:8080/building";
        return false;
      }

      function NewGraffiti()
      {
        window.location.href = "http://localhost:8080/graffiti";
        return false;
      }

    </script>
  </body>
</html>
